AVMAILGATE(8)

NAME
AvMailGate - AntiVir Mail Gateway

SYNTAX
avgated [ -V | --version ] [ -C config file ] [ -A ACL file ] [ -D debug level ] [ -p port ] [ -i ] [ -R remote.host.name ] [ -r rem.ote.ipa.ddr ] [ -q remote port ]

avgatefwd [ -V | --version ] [ -C config file ] [ -D debug level ]

  Options of avgated and avgatefwd

-V  or --version Display the version and quit.

-C config file
    Specify an alternate config file. The contents of this file are explained in avmailgate.conf(5).
    (default = /etc/avmailgate.conf)

-D debug level
    Use this options to have a lot more infos written to syslog (default = 0). Currently the levels 1 and 2 are available. Level 1 is for debugging internal operations. Level 2 logs even more about the SMTP conversation and the mail delivery process.

  Options of avgated only

-i  Runs avgated in inetd mode doing SMTP conversation via stdin and stdout. See inetd(8) for information on how this works.

-p port
    Tells avgated what port to use for accepting incoming connections (default = 25).

-R remote.host
    (For debugging only) Specify the remote host domain name. Imply -i.

-r rem.ote.ipa.ddr
    (For debugging only) Specify the remote host IP address (aaa.bbb.ccc.ddd). Imply -i.

-q port
    (For debugging only) Specify the remote host TCP port. Imply -i.

DESCRIPTION
AvMailGate is an AntiVirus mailer proxy that wraps around your existing mail transfer agent (MTA). It consists of two programs: avgated (the receiving agent) and avgatefwd (the forwarding agent). You also need to have installed the Virus Database File /usr/lib/AntiVir/antivir.vdf to do the virus checks. Please make sure that the versions of AvMailGate and antivir.vdf match at the first 3 numbers.

OPERATION
The receiving agent avgated accepts incoming mail and stores it in the SpoolDir (/var/spool/avmailgate).

Each mail is represented by two seperate files:

The data file contains the mail data as received. It is named like "df-123-987654".

The control file is used by avgated and avgatefwd and contains the sender and recipient(s) of a mail. Control files of mail waiting to be scanned and forwarded are named like "qf-123-987654".

The forwarding agent avgatefwd reads the control and data files, decodes the MIME parts within a mail into seperate files and then calls antivir to do the virus checks.

Clean mail
If the mail passes the checks it is forwarded as usual. Currently the forwarding is done by executing /usr/lib/sendmail. For identifying checked mail a new header field is appended:
"X-AntiVirus: OK (checked by AntiVir ...)"

Infected mail
If a mail was found to contain a virus, the control file is renamed to "vf-..." (note the leading letter.) The sender, the recipient(s) and the Postmaster were notified by mail that a mail was blocked.

Forcing delivery of infected mail
To force the delivery of an infected mail, the sysop just has to rename the control file by changing the first letter of the filename from "v" to "Q". The mail will then be forwarded without to be checked again.
Needless to say, that this should only be done after informing the recipients that they are about to receive malicious stuff.

COPYRIGHT
AvMailGate is Copyright by H+BEDV Datentechnik GmbH.
WWW: http://www.antivir.de
EMail: <linux_support@antivir.de>

SEE ALSO
avmailgate.conf(5), sendmail(8), postfix(1), smail(8), qmail(7), fetchmail(1).

If you have installed AvMailGate you should hopefully have read the documents that came with the packet e.g. README, FAQ.

Also see http://www.antivir.de/ for more information regarding AntiVir and AvMailGate.